{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}

    <style scoped>
        
        


    </style>
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidConvention }}</div>
{% endblock %}

{% block formulaire %}
    {% if poForm.cnom is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
            {# Génération du label. #}
            {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

            <div class="col-xs-11 col-sm-11 col-md-11 col-lg-11">
                {{ form_widget(poForm.cnom, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
{# LP 07/09/2020 debut#}
<div class="LesChamps card">
         <fieldset>
            <legend>Durée et répartition de travail</legend>
    <div class=" d-flex justify-content-around flex-wrap ">
        {% if poForm.nhSem is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nhSem, "Heures/semaine", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nhSem, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}   

        {# Génération du label. #}
        {% if poForm.nnMaxCycl is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nnMaxCycl, "Nb semaines max cycle", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nnMaxCycl, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %} 
    </div>
    
    <div class=" d-flex justify-content-around flex-wrap ">
        {% if poForm.nhMaxSem is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nhMaxSem, "Max. heures/semaine", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nhMaxSem, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}   

        {# Génération du label. #}
        {% if poForm.nhMoyMCy is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nhMoyMCy, "Moy. h/sem sur 1 cycle", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nhMoyMCy, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %} 
    </div>
    <div class="LesChamps">
    <div class=" d-flex justify-content-start flex-wrap ">
        {% if poForm.nhMax2semRempl is defined %}
             <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
                        {# Génération du label. #}
                        {{ form_label(poForm.nhMax2semRempl, "Max. heures/quatorzaine \n (remplaçants)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6 justify-content-end">
                            {{ form_widget(poForm.nhMax2semRempl, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %} 
    </div>
    </div>
         </fieldset>   
</div>
    {#OLD Durée et répartition de travail
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12"> 
        <fieldset>
            <legend>Durée et répartition de travail</legend>
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                {% if poForm.nhSem is defined %}
                    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhSem, "Heures/semaine", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nhSem, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}

                {% if poForm.nnMaxCycl is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nnMaxCycl, "Nb semaines max cycle", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nnMaxCycl, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                {% if poForm.nhMaxSem is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhMaxSem, "Max. heures/semaine", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nhMaxSem, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}

                {% if poForm.nhMoyMCy is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhMoyMCy, "Moy. h/sem sur 1 cycle", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nhMoyMCy, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
            </div>
            <div class="col-xs-12 col-lg-12 col-md-12 col-sm-12">
                {% if poForm.nhMax2semRempl is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhMax2semRempl, "Max. heures/quatorzaine \n (remplaçants)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nhMax2semRempl, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
            </div>

        </fieldset>
    </div>#}

<div class="LesChamps card">
    <fieldset>
    <legend>Durée quotidienne du travail</legend>
    <div class=" d-flex justify-content-around flex-wrap ">
        {% if poForm.nhMaxJour is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nhMaxJour, "Nb h max/jour (dérogeable)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nhMaxJour, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}   

        {# Génération du label. #}
        {% if poForm.nhMmaxJour is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nhMmaxJour, "Nb h max/jour (non dérogeable)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nhMmaxJour, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %} 
    </div>
    
    <div class=" d-flex justify-content-start flex-wrap ">
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
                    {% if poForm.nhMinSeq is defined %}

                        {# Génération du label. #}
                        {{ form_label(poForm.nhMinSeq, "Durée d'une séquence", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                        {{ form_label(poForm.nhMinSeq, "min", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                        <div class="col-xs-6 col-sm-2 col-md-3 col-lg-2">
                            {{ form_widget(poForm.nhMinSeq, {'attr': {'class': 'form-control'}}) }}
                        </div>

                    {% endif %}
                    {% if poForm.nhMaxSeq is defined %}

                        {# Génération du label. #}
                        {{ form_label(poForm.nhMaxSeq, "max", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-2 col-md-3 col-lg-2">
                            {{ form_widget(poForm.nhMaxSeq, {'attr': {'class': 'form-control'}}) }}
                        </div>

                    </div>
                    {% endif %}

        {% if poForm.nhMaxInterTp is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}
                        {{ form_label(poForm.nhMaxInterTp, "Durée max inter-séquences", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-sm-8 d-flex justify-content-center align-items-center">
                            {{ form_widget(poForm.nhMaxInterTp, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %} 
    </div>
    
    <div class=" d-flex justify-content-around flex-wrap ">
        {% if poForm.nnMaxSeq is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nnMaxSeq, "Nb max séquences", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nnMaxSeq, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}   

        {# Génération du label. #}
        {% if poForm.idureepause is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.idureepause, "Durée d'une pause (mn)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.idureepause, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %} 
    </div>
    <div class="LesChamps">
    <div class="d-flex justify-content-start flex-wrap">
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {% if poForm.nhdebnuit is defined %}

                    {# Génération du label. #}
                    {{ form_label(poForm.nhdebnuit, "Travail de nuit", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                    {{ form_label(poForm.nhdebnuit, "début", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                    <div class="col-xs-6 col-sm-2 col-md-2 col-lg-2 ">
                        {{ form_widget(poForm.nhdebnuit, {'attr': {'class': 'form-control'}}) }}
                    </div>
            </div>
                    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
                    </div>
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {% endif %}
                {% if poForm.nhfinnuit is defined %}

                    {# Génération du label. #}
                    {{ form_label(poForm.nhfinnuit, "fin", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                    <div class="col-xs-6 col-sm-2 col-md-2 col-lg-2 modifpadding " >
                        {{ form_widget(poForm.nhfinnuit, {'attr': {'class':'form-control'}}) }}
                    </div>
            </div>
                    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
                    </div>
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {% endif %}
                {% if poForm.ndurnuit is defined %}

                    {# Génération du label. #}
                    {{ form_label(poForm.ndurnuit, "durée", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                    <div class="col-xs-6 col-sm-2 col-md-2 col-lg-2 ">
                        {{ form_widget(poForm.ndurnuit, {'attr': {'class': 'form-control'}}) }}
                    </div>
                    <!-- toto-->

                {% endif %}
            </div>
    </div>
    </div>
    </fieldset>   
</div>    
    
    {# OLD Durée quotidienne du travail
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12"> 
        {# pour chaque division on précise les dimension en fonction de la taille de l'écran #}{#   
        <fieldset>
            <legend>Durée quotidienne du travail</legend>
            <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12">
                {% if poForm.nhMaxJour is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhMaxJour, "Nb h max/jour (dérogeable)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nhMaxJour, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
                {% if poForm.nhMmaxJour is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhMmaxJour, "Nb h max/jour (non dérogeable)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nhMmaxJour, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
            </div>
            <div class="col-lg-12 col-sm-12 col-md-12">
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    {% if poForm.nhMinSeq is defined %}

                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhMinSeq, "Durée d'une séquence", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                        {{ form_label(poForm.nhMinSeq, "min", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                        <div class="col-xs-6 col-sm-2 col-md-3 col-lg-2">
                            {{ form_widget(poForm.nhMinSeq, {'attr': {'class': 'form-control'}}) }}
                        </div>

                    {% endif %}
                    {% if poForm.nhMaxSeq is defined %}

                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhMaxSeq, "max", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-2 col-md-3 col-lg-2">
                            {{ form_widget(poForm.nhMaxSeq, {'attr': {'class': 'form-control'}}) }}
                        </div>

                    </div>
                {% endif %}
                {% if poForm.nhMaxInterTp is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhMaxInterTp, "Durée max inter-séquences", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nhMaxInterTp, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
            </div>
            <div class="col-lg-12 col-xs-12 col-sm-12 col-md-12">
                {% if poForm.nnMaxSeq is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nnMaxSeq, "Nb max séquences", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nnMaxSeq, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
                {% if poForm.idureepause is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.idureepause, "Durée d'une pause (mn)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.idureepause, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}

            </div>

            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {% if poForm.nhdebnuit is defined %}

                    {# Génération du label. #}{#
                    {{ form_label(poForm.nhdebnuit, "Travail de nuit", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                    {{ form_label(poForm.nhdebnuit, "début", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                    <div class="col-xs-6 col-sm-2 col-md-2 col-lg-2 ">
                        {{ form_widget(poForm.nhdebnuit, {'attr': {'class': 'form-control'}}) }}
                    </div>
            </div>
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {% endif %}
                {% if poForm.nhfinnuit is defined %}

                    {# Génération du label. #}{#
                    {{ form_label(poForm.nhfinnuit, "fin", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                    <div class="col-xs-6 col-sm-2 col-md-2 col-lg-2 modifpadding " >
                        {{ form_widget(poForm.nhfinnuit, {'attr': {'class':'form-control'}}) }}
                    </div>
            </div>
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {% endif %}
                {% if poForm.ndurnuit is defined %}

                    {# Génération du label. #}{#
                    {{ form_label(poForm.ndurnuit, "durée", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                    <div class="col-xs-6 col-sm-2 col-md-2 col-lg-2 ">
                        {{ form_widget(poForm.ndurnuit, {'attr': {'class': 'form-control'}}) }}
                    </div>
                    <!-- toto-->

                {% endif %}
            </div>
    </div>

        </fieldset>
    </div>#}
<div class="LesChamps card">
         <fieldset>
            <legend>Durée minimum de repos</legend>    
        <div class=" d-flex justify-content-around flex-wrap ">
        {% if poForm.nhMinRepTp is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nhMinRepTp, "Dur. min. repos entre 2 jours (dérogeable)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nhMinRepTp, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}   

        {# Génération du label. #}
        {% if poForm.nhMminRepTp is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nhMminRepTp, "Dur. min. repos entre 2 jours (non dérogeable)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nhMminRepTp, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %} 
    </div>
    <div class="LesChamps">
    <div class=" d-flex justify-content-start flex-wrap ">
        {% if poForm.lhMinRepTpType is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
                    <div class="checkbox">
                        <label>
                            {{ form_widget(poForm.lhMinRepTpType, {'attr': {'class': ''}}) }}
                            Dur. min. repos et Dur. max. inter-séquences sont applicables aussi pour les salariés à temps plein
                        </label>
                    </div>
                </div>
            {% endif %} 
    </div>     
    </div>
         </fieldset>   
</div>
    {# OLD Durée minimum de repos
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12"> 
        <fieldset>
            <legend>Durée minimum de repos</legend>
            <div class="col-xs-12 col-lg-12 col-md-12 col-sm-12">
                {% if poForm.nhMinRepTp is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhMinRepTp, "Dur. min. repos entre 2 jours (dérogeable)", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nhMinRepTp, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}


                {% if poForm.nhMminRepTp is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nhMminRepTp, "Dur. min. repos entre 2 jours (non dérogeable)", {'label_attr': {'class': 'col-sm-5 col-lg-6 col-md-8 col-xs-12 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nhMminRepTp, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
            </div>
            {% if poForm.lhMinRepTpType is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    <div class="checkbox">
                        <label>
                            {{ form_widget(poForm.lhMinRepTpType, {'attr': {'class': ''}}) }}
                            Dur. min. repos et Dur. max. inter-séquences sont applicables aussi pour les salariés à temps plein
                        </label>
                    </div>
                </div>
            {% endif %}
        </fieldset>
    </div>#}
    
<div class="LesChamps card">
    <fieldset>
            <legend>Repos hebdomadaire</legend>
    <div class=" d-flex justify-content-around flex-wrap ">
        {% if poForm.nnMinJrsRep is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nnMinJrsRep, "Nb min jrs repos / 4 semaines", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nnMinJrsRep, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}   

        {# Génération du label. #}
        {% if poForm.nnMinJrsRepc is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}
                        {{ form_label(poForm.nnMinJrsRepc, "Nb min jrs repos consécutifs / 4 semaines", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nnMinJrsRepc, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %} 
    </div>
    
    <div class=" d-flex justify-content-around flex-wrap ">
        {% if poForm.nnMinDimMoi is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.nnMinDimMoi, "Max. heures/semaine", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.nnMinDimMoi, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}   

        {# Génération du label. #}
        {% if poForm.mrhMin is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}
                    {{ form_label(poForm.mrhMin, "Plages min. de repos hebdomadaires", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                    <div class="col-xs-12 col-sm-10 col-md-8 col-lg-9">
                        {{ form_widget(poForm.mrhMin, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>
            {% endif %}
    </div>
    </fieldset>
</div>    
    {#
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12"> 
        <fieldset>
            <legend>Repos hebdomadaire</legend>
            <div class="col-sm-12 col-lg-12 col-md-12 col-xs-12">
                {% if poForm.nnMinJrsRep is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nnMinJrsRep, "Nb min jrs repos / 4 semaines", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nnMinJrsRep, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
                {% if poForm.nnMinJrsRepc is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nnMinJrsRepc, "Nb min jrs repos consécutifs / 4 semaines", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nnMinJrsRepc, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
            </div>
            <div class="col-sm-12 col-lg-12 col-md-12 col-xs-12">
                {% if poForm.nnMinDimMoi is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                        {{ form_label(poForm.nnMinDimMoi, "Nb min dimanches / mois", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-xs-6 col-sm-4 col-md-4 col-lg-6">
                            {{ form_widget(poForm.nnMinDimMoi, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
            </div>
            {% if poForm.mrhMin is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}{#
                    {{ form_label(poForm.mrhMin, "Plages min. de repos hebdomadaires", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                    <div class="col-xs-12 col-sm-10 col-md-8 col-lg-9">
                        {{ form_widget(poForm.mrhMin, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>
            {% endif %}

        </fieldset>
    </div>
    LP 07/09/2020 fin#}
{% endblock %}
